Skip to main content
GET
/
v1
/
devices
/
pv
/
flex
/
logs
Get Devices Pv Control Flex Logs
curl --request GET \
  --url https://api.nox.energy/v1/devices/pv/flex/logs \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "timestamp": "2026-04-17T09:27:09.224000+00:00",
      "control_type": "production_curtailment",
      "target_percentage": 0,
      "brand_filter": [
        "Sma",
        "Solis"
      ],
      "executed_flex_device_count": 42,
      "end_time": "2026-04-17T10:27:09.224000+00:00"
    }
  ],
  "meta": {
    "energy_supplier": "Energy Supplier A"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

start_time
string | null
required

Start time when the consumption measurement were taken. The time is in UTC in ISO 8601 format.

Time format examples:

  • 2023-10-01T00:00:00Z
  • 2023-10-01T00:00:00
end_time
string | null
required

End time when the consumption measurement were taken. The time is in UTC in ISO 8601 format.

Time format examples:

  • 2023-10-01T00:00:00Z
  • 2023-10-01T00:00:00

Response

Successful response for get hp current telemetry endpoint.

meta
DevicesPVFlexMeta · object
required

Response metadata.

data
DevicesPVFlexLogsDataResponse · object[] | null

List of devices flex logs.